import { DatabaseStateParameters } from '../../modules/rbk-utils/ngx-rbk-utils.config';
import { SmzBuilderUtilities } from '../common/smz-builder-utilities';
import { SmzUiStatesBuilder } from './states-builder';
export declare class SmzUiFeatureStateBuilder extends SmzBuilderUtilities<SmzUiFeatureStateBuilder> {
    private _builder;
    private _parameter;
    protected that: this;
    constructor(_builder: SmzUiStatesBuilder, _parameter: DatabaseStateParameters);
    setState(state: any): SmzUiFeatureStateBuilder;
    setClearFunction(callback: () => {}): SmzUiFeatureStateBuilder;
    setClearAction(action: any): SmzUiFeatureStateBuilder;
    setLoadAction(action: any): SmzUiFeatureStateBuilder;
    overrideCacheTimeout(minutes: number): SmzUiFeatureStateBuilder;
    get state(): SmzUiStatesBuilder;
}
